Obtener detalle de una notificación por ID
curl --request GET \
--url https://api.ugps.io/api/notifications/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ugps.io/api/notifications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ugps.io/api/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "<string>",
"type": "speed_limit",
"name": "<string>",
"alertTrigger": {
"_id": "<string>",
"name": "<string>",
"label": "<string>"
},
"asset": {
"_id": "<string>",
"name": "<string>",
"plate": "<string>",
"icon": {
"id": "<string>",
"color": "<string>"
}
},
"location": "<string>",
"address": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"calculatorId": 123,
"maxSpeed": 123,
"initialSpeed": 123,
"speedLimit": 123,
"duration": 123,
"route": "<string>",
"positions": [
{
"lat": 123,
"lng": 123,
"at": "2023-11-07T05:31:56Z",
"speed": 123
}
],
"initialAddress": "<string>",
"finalAddress": "<string>"
}
}{
"error": "Token inválido o expirado"
}{
"error": "Recurso no encontrado"
}{
"message": "Error interno del servidor"
}Alertas - Notificaciones
Obtener detalle de una notificación por ID
Retorna la notificación completa según su tipo (NotificationDetail). El payload incluye campos específicos por tipo: speed_limit, geofence, ignition, lost_connection.
GET
/
api
/
notifications
/
{id}
Obtener detalle de una notificación por ID
Authorizations
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Path Parameters
ID del recurso
⌘I